<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer\SammelEMail;

class DozSammelEMailUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\SammelEMail\SammelEMailUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 3;
  }

  protected function getRechteKey(): string
  {
    return '3.0.3';
  }

  protected function shouldSaveEMailAnTeilnehmerInDokumentenverwaltung(): bool
  {
    return $this->toolSettings->storeSammelEMailToTeilnehmer;
  }

  protected function isShowingEMails(): bool
  {
    return $this->toolSettings->emailAnTeilnehmerShowEMail;
  }

  protected function getKontakte(): array
  {
    if (!\DBWorkBASysSettings::isKirchheimTeckVhs()) {
      return parent::getKontakte();
    }

    if (!empty($this->request->knr) && is_array($this->request->belegungNummern)) {
      
      return $this->sendPreparer->getBelegungen($this->request->knr, $this->request->belegungNummern, 'A');
    } else {
      \Logger::logg(' Fehler im EmailSender: knr oder BelegungNummern nicht besetzt. ', 41);

      throw new \Exception('Fehler beim Versenden der EMail an die Teilnehmer');
    }
  }
}